#!/bin/sh
#
# Register the native application "txtresolver" as per
# https://developer.chrome.com/extensions/messaging#native-messaging

chrome_ext_id=obimimmbdedmamjfkdfkkkbcmfnehiod

cd "$(dirname $0)" || exit 1
txtresolver_dir="$(pwd)"
for chrome_config in \
    ~/.config/google-chrome \
    ~/.config/google-chrome-beta \
    ~/.config/google-chrome-unstable; do
    [ -d "$chrome_config" ] || continue
    dest=$chrome_config/NativeMessagingHosts/com.mrb.txtresolver.json
    echo "Registering app in $dest"
    mkdir -p "$(dirname "$dest")" && cat <<EOF >"$dest" || exit 1
{
  "name": "com.mrb.txtresolver",
  "description": "Resolves DNS TXT records",
  "path": "$txtresolver_dir/txtresolver",
  "type": "stdio",
  "allowed_origins": [
    "chrome-extension://$chrome_ext_id/"
  ]
}
EOF
done
